Loading...
Searching...
No Matches
math.h File Reference
`#include "platform.h"`
`#include <float.h>`
`#include <math.h>`
`#include "limits.h"`
`#include "type_traits.h"`
`#include "private/diagnostic_float_equal_push.h"`
`#include "private/diagnostic_pop.h"`

Go to the source code of this file.

## Namespaces

namespace | etl

## Functions

template<typename T>
ETL_CONSTEXPR etl::enable_if< etl::is_floating_point< T >::value, bool >::type | etl::is_nan (T value)
template<typename T>
ETL_CONSTEXPR etl::enable_if< etl::is_integral< T >::value, bool >::type | etl::is_nan (T)
template<typename T>
ETL_CONSTEXPR etl::enable_if< etl::is_floating_point< T >::value, bool >::type | etl::is_infinity (T value)
template<typename T>
ETL_CONSTEXPR etl::enable_if< etl::is_integral< T >::value, bool >::type | etl::is_infinity (T)
template<typename T>
ETL_CONSTEXPR etl::enable_if< etl::is_floating_point< T >::value, bool >::type | etl::is_zero (T value)
template<typename T>
ETL_CONSTEXPR etl::enable_if< etl::is_integral< T >::value, bool >::type | etl::is_zero (T value)
template<typename T>
ETL_CONSTEXPR bool | etl::is_exactly_equal (T value1, T value2)